'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.addColumn('dimensional_report_detail', 'tol', {
      type: Sequelize.STRING(50),
      allowNull: true
    });
    await queryInterface.addColumn('dimensional_report_detail', 'no_of_rew', {
      type: Sequelize.STRING(50),
      allowNull: true
    });
    await queryInterface.addColumn('dimensional_report_detail', 'no_of_rej', {
      type: Sequelize.STRING(50),
      allowNull: true
    });
    await queryInterface.addColumn('dimensional_report_detail', 'laser_turret', {
      type: Sequelize.STRING(50),
      allowNull: true
    });
  },

  async down(queryInterface) {
    await queryInterface.removeColumn('dimensional_report_detail', 'laser_turret');
    await queryInterface.removeColumn('dimensional_report_detail', 'no_of_rej');
    await queryInterface.removeColumn('dimensional_report_detail', 'no_of_rew');
    await queryInterface.removeColumn('dimensional_report_detail', 'tol');
  }
};

